classification
Title: Change name of internal closure functions in importlib
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, brett.cannon, eric.snow, python-dev
Priority: low Keywords: easy, patch

Created on 2011-12-12 15:32 by brett.cannon, last changed 2012-02-06 20:24 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
issue13588_v1.diff berker.peksag, 2011-12-13 19:59 First try review
Messages (6)
msg149315 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-12-12 15:32
The internal closure functions (eg. wrapper functions used by decorators) should not use generic names like inner() or wrapper(), but descriptive names so that they make sense when read in a traceback. IOW, you shouldn't have to look up the source code to figure out what decorator's wrapper is found in the traceback.
msg149479 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-12-14 21:21
Thanks for the patch! I will try to find some time to do a proper review if someone else doesn't beat me to it (although first glance seems to suggest it all looks fine).
msg151312 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2012-01-16 00:58
Hi Brett, did you have a chance to review the patch I submitted?
msg151382 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-01-16 16:30
Sorry, been busy. I will definitely get to it this week.

On Sun, Jan 15, 2012 at 19:58, Berker Peksag <report@bugs.python.org> wrote:

>
> Berker Peksag <berker.peksag@gmail.com> added the comment:
>
> Hi Brett, did you have a chance to review the patch I submitted?
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue13588>
> _______________________________________
>
msg151389 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-16 16:46
New changeset 9935f7837c4b by Brett Cannon in branch 'default':
Issue #13588: Rename decorators in importlib.
http://hg.python.org/cpython/rev/9935f7837c4b
msg151390 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-01-16 16:47
Thanks for the patch, Berker! It's all committed.
History
Date User Action Args
2012-02-06 20:24:22brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2012-01-16 16:47:04brett.cannonsetmessages: + msg151390
2012-01-16 16:46:37python-devsetnosy: + python-dev
messages: + msg151389
2012-01-16 16:30:52brett.cannonsetmessages: + msg151382
2012-01-16 00:58:49berker.peksagsetmessages: + msg151312
2011-12-14 21:21:44brett.cannonsetmessages: + msg149479
stage: needs patch -> patch review
2011-12-13 19:59:17berker.peksagsetfiles: + issue13588_v1.diff
keywords: + patch
2011-12-12 17:05:09eric.snowsetnosy: + eric.snow
2011-12-12 16:25:04berker.peksagsetnosy: + berker.peksag
2011-12-12 15:32:33brett.cannoncreate